@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('webfonts/css/fontiran.css');

/*@font-face {
    font-family: 'IRAN Sans Regular';
    font-style: normal;
    font-size: large;
    src: url('../css/open-iconic/font/fonts/IRAN Sans Regular.ttf');
}*/

html, body {
    direction: rtl;
    background-color: #f5f5f5;
    font-size: 14px;
    font-weight: 300;
    font-family: IRANSans;
    /*color: #666666;*/
}

.footer {
    background-color: #121212;
    color: #aaaaaa;
}

.footer-bottom {
    background-color: #1e1e1e;
}

.searchbox {
    border-color: #00bfd6;
    font-size: 12px;
    font-size: .857rem;
    line-height: 1.833;
    border-radius: 7px;
}

.required-field::after {
    content: "*";
    color: red;
}

.form-wrapper {
    margin: 10px 10px 30px 10px;
    border: 1px solid silver;
    background-color: #f4f6f9;
    padding: 20px;
    border-radius: 4px;
}

.bgimg {
    background-image: url("/images/MarkazNegar.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    height: 22rem;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    direction: rtl;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        left: 0.75rem;
        top: 0.5rem;
    }
